# Function process

- process<Network>(options): Process<(Network | undefined)[]>

- #### Type Parameters

  - #### Network extends Pick<DataModel.Network, "id" | keyof NetworkInput>

  #### Parameters

  - ##### options: {
    blocks: Block[];
    network: Omit<NetworkInput, "historicBlock">;
    }

    - ##### blocks: Block[]

    - ##### network: Omit<NetworkInput, "historicBlock">

  #### Returns Process<(Network | undefined)[]>

  - Defined in packages/db/src/network/load/networksForBlocks.ts:11

Generated using TypeDoc